classification
Title: Duplicate bytearray test on test_socket.py
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, berker.peksag, pitrou, python-dev, terry.reedy, vajrasky
Priority: normal Keywords: patch

Created on 2014-01-14 07:30 by vajrasky, last changed 2016-10-02 08:38 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
fix_recv_from_into_array_test_socket.patch vajrasky, 2014-01-14 07:30 review
Messages (4)
msg208079 - (view) Author: Vajrasky Kok (vajrasky) * Date: 2014-01-14 07:30
testRecvIntoArray is same as testRecvIntoBytearray.
testRecvFromIntoArray  is same as testRecvFromIntoBytearray.

Attached the patch to fix the tests.
msg221043 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-19 22:34
Could somebody review the simple patch please.
msg277861 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-02 08:38
New changeset 6406322f4749 by Berker Peksag in branch '3.5':
Issue #20254: Fix duplicate tests in test_socket
https://hg.python.org/cpython/rev/6406322f4749

New changeset ac9734540eb7 by Berker Peksag in branch '3.6':
Issue #20254: Merge from 3.5
https://hg.python.org/cpython/rev/ac9734540eb7

New changeset 7dab3c6ac42f by Berker Peksag in branch 'default':
Issue #20254: Merge from 3.6
https://hg.python.org/cpython/rev/7dab3c6ac42f
msg277862 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-10-02 08:38
Thanks!
History
Date User Action Args
2016-10-02 08:38:50berker.peksagsetstatus: open -> closed

versions: + Python 3.6, Python 3.7, - Python 3.4
nosy: + berker.peksag

messages: + msg277862
resolution: fixed
stage: resolved
2016-10-02 08:38:18python-devsetnosy: + python-dev
messages: + msg277861
2014-06-19 22:34:43BreamoreBoysetnosy: + BreamoreBoy

messages: + msg221043
versions: + Python 3.5, - Python 3.3
2014-01-17 23:59:07terry.reedysetnosy: + terry.reedy, pitrou
2014-01-14 07:30:47vajraskycreate